services:
  nodehive_core_space_dashboard.route_subscriber:
    class: Drupal\nodehive_core_space_dashboard\Routing\RouteSubscriber
    tags:
      - { name: event_subscriber }

  nodehive_core_space_dashboard.dashboard_builder:
    class: Drupal\nodehive_core_space_dashboard\DashboardBuilder
    arguments: ['@entity_type.manager', '@nodehive_core.menu_helper', '@menu.link_tree', '@redirect.destination']
